# Set-RASCustomRoute.md

## NAME

Set-RASCustomRoute

## SYNOPSIS

Modifies a Custom Route.

## SYNTAX

**Set-RASCustomRoute** \[[Id](#id-string)] *(uint)* \[[Description](#description-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[Port](#port-string) *(uint)*] \[[PublicAddress](#publicaddress-string) *(string)*] \[[SSLPort](#sslport-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASCustomRoute \[-[InputObject](#inputobject)] *(*[*CustomRoute*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/customroute.md)*)* \[[Description](#description-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[Port](#port-string) *(uint)*] \[[PublicAddress](#publicaddress-string) *(string)*] \[[SSLPort](#sslport-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASCustomRoute** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[Description](#description-string) *(string)*] \[[NewName](#newname-string) *(string)*] \[[Port](#port-string) *(uint)*] \[[PublicAddress](#publicaddress-string) *(string)*] \[[SSLPort](#sslport-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies properties of a Custom Route.

## PARAMETERS

## Name (string)

The name of the Custom Route.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified Custom Route.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Custom Route to modify. To obtain the ID, use the Get-RASCustomRoute cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([CustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/customroute.md))

The Custom Route to modify.

To obtain an object of type CustomRoute representing a Custom Route, use the Get-RASCustomRoute cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NewName (string)

The new name of the Custom Route.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

A user-defined Custom Route description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PublicAddress (string)

Public Address of the Custom Route

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Port (uint)

Port of the Custom Route

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SSLPort (uint)

SSL Port of the Custom Route

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[CustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/customroute.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASCustomRoute -Name "My Custom Route" -Description "Custom"

Modifies the description of a custom route specified by name.\
\*\*---------- EXAMPLE 2 ----------

Set-RASCustomRoute -Id 1 -PublicAddress server.test.com

Modifies the public address of a custom route specified by Id.

## RELATED LINKS

* [New-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascustomroute.md)
* [Get-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascustomroute.md)
* [Remove-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascustomroute.md)
* [Add-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raspubitempreferredroute.md)
* [Get-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitempreferredroute.md)
* [Set-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubitempreferredroute.md)
* [Remove-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubitempreferredroute.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascustomroute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
